Subject: Re: Driver for embedded switch Micrel KS8995MA

From: Gabor Juhos <[email-masked]>
Date: Tue, 13 Dec 2011 20:49:31 +0100

Hi,

> On 12/13/11 19:33, Frederic LAMBERT wrote:
>> I found an quite old driver on the net for the 5-ports 10/100 embedded
>> switch Micrel KS8995MA.
>> It had to be updated a little bit because a parameter was missing to
>> the ks8995_registers_read()&  write() functions.
>>
>> I haven't been able to contact its original author, Gabor Juhos, who
>> wrote it in 2008 under GPL v2.

Sorry, I did not see your e-mail. It has been marked as spam by one of my mail
filters.

> Gabor is responding pretty quickly in general. You are talking about this
> particular driver?
> 
> https://dev.openwrt.org/browser/trunk/package/spi-ks8995/src/spi_ks8995.c
> 
>>
>> Is it possible to submit this driver as a patch to be included in the
>> distribution?

The driver was used for an IXP4xx based board originally. I have bricked my
board a long time ago, so I can't test the driver anymore. If you can use the
driver for anything, feel free to send that upstream.

-Gabor